QGIS Application - Bug report #12712
Composer map doesn't rotate when angle is set using "data define override" option
2015-05-07 09:18 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20818
Description

Create a print composer

Add a composer map

In its main properties, add a value in the map rotation spinbox. The map should rotate.

Now set 0° in the spinbox and try to define a value through "data defined override" option. Whatever is the value you enter, nothing
happens. Map won't rotate.

I don't know if this is related but while reading the description, the format of the input is supposed to be like this double [<= 0.0 =>] where
all the other rotation spinboxes in map composer ask for double [-180.0 - 180.0] (even though this is not followed, see #12696)

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-12-19 12:03 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Description updated

Fixed in layouts engine
